package com.my.filter;

import cn.gov.customs.casp.sdk.h4a.sso.passport.PassportFilter;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.annotation.Order;

import javax.servlet.FilterChain;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import java.io.IOException;

@Slf4j
@Configuration(proxyBeanMethods = false)
@Order(5)
public class LoginH4aFilter extends PassportFilter {

	public void doFilter(ServletRequest servletRequest, ServletResponse servletResponse, FilterChain arg2) throws IOException, ServletException {
		log.info("LoginH4aFilter ............................");
		arg2.doFilter(servletRequest, servletResponse);
		return;
	}
}
